# DSC objects used as control codes for Hale telescope model
#
# see Lua module celxx/hale_control.lua for details


# moving parts: central flat coude mirror

OpenCluster "HLM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HHCM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HCCWM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_CCW_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCWM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_CW_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: elevator

OpenCluster "HEE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Extend_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Retract_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HUE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Up_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Down_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: overhead crane forward, back

OpenCluster "HFOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Forward_Overhead_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HBOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Back_Overhead_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Overhead_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: overhead crane hook up, down

OpenCluster "HUH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Up_Hook" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Down_Hook" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Hook" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: doors

OpenCluster "HOD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: telescope

OpenCluster "HHT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Cage
OpenCluster "HHPFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_PFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_PFC" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: yoke

OpenCluster "HHY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: plinth

OpenCluster "HHP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Plinth" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Plinth" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLP" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Plinth" {RA 0 Dec 0 Distance 1e32 Radius 1}

# labels

OpenCluster "HHLBL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Labels" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLBL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Labels" {RA 0 Dec 0 Distance 1e32 Radius 1}

# laser trolley, track and emitter

OpenCluster "HHLTR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Laser_Target" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLTR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Laser_Target" {RA 0 Dec 0 Distance 1e32 Radius 1}

# laser light beams

OpenCluster "HHLB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Laser_Beam" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Laser_Beam" {RA 0 Dec 0 Distance 1e32 Radius 1}


# moving parts: mirror cover

OpenCluster "HOC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Cover" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Cover" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: cass 2ndary

OpenCluster "HLCA" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Cass" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCA" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Cass" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude 2ndary

OpenCluster "HLCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Coude" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Coude" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: coude crane

OpenCluster "HLC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Crane" {RA 0 Dec 0 Distance 1e32 Radius 1}


# moving parts: coude bridge

OpenCluster "HLBR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Bridge" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRBR" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Bridge" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: central flat coude mirror

OpenCluster "HLM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Lower_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Raise_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HHCM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HCCWM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_CCW_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCWM90" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_CW_Coude_Mirror90" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: elevator

OpenCluster "HEE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Extend_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Retract_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HUE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Up_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HDE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Down_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HSE" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Stop_Elevator" {RA 0 Dec 0 Distance 1e32 Radius 1}

# moving parts: doors

OpenCluster "HOD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Open_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HCD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Close_Door" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: telescope

OpenCluster "HHT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Telescope" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: yoke

OpenCluster "HHY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLY" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Lores_Yoke" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Laser Launch Telescope

OpenCluster "HHLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Launch_Tel" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLT" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Launch_Tel" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Large Format Camera 

OpenCluster "HHLFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_LFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLFC" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_LFC" {RA 0 Dec 0 Distance 1e32 Radius 1}

# hiding things: Prime Focus Large Format Camera's FoV

OpenCluster "HHLFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_LFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRLFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_LFCFOV" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Adaptive Optics' optical bench

OpenCluster "HHAO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_AO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_AO" {RA 0 Dec 0 Distance 1e32 Radius 1}

# Adaptive Optics' optical paths

OpenCluster "HHAOL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_AOLight" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRAOL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_AOLight" {RA 0 Dec 0 Distance 1e32 Radius 1}


# Coude Yoke Mirror (near base of yoke)

OpenCluster "HHCYM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Coude_Yoke_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRCYM" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Coude_Yoke_Mirror" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: dome

OpenCluster "HHD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Dome" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRD" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Dome" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HHDI" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Dome_Internal" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRDI" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Dome_Internal" {RA 0 Dec 0 Distance 1e32 Radius 1}


# hiding things: base

OpenCluster "HHB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Base" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRB" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Base" {RA 0 Dec 0 Distance 1e32 Radius 1}

# photons
OpenCluster "HHPH" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Photons" {RA 0 Dec 0 Distance 1e32 Radius 1}

# prime photons
OpenCluster "HFPH1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons1" {RA 0 Dec 0 Distance 1e32 Radius 1}
#cass photons
OpenCluster "HFPH2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons2" {RA 0 Dec 0 Distance 1e32 Radius 1}
#cass-coude photons
OpenCluster "HFPH3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons3" {RA 0 Dec 0 Distance 1e32 Radius 1}
# coude-straight photons
OpenCluster "HFPH4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons4" {RA 0 Dec 0 Distance 1e32 Radius 1}
#coude-bridged photons
OpenCluster "HFPH5" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Fly_Photons5" {RA 0 Dec 0 Distance 1e32 Radius 1}

# light paths
OpenCluster "HHL" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_Light" {RA 0 Dec 0 Distance 1e32 Radius 1}

OpenCluster "HRL1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRL5" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_Light5" {RA 0 Dec 0 Distance 1e32 Radius 1}


# observer

OpenCluster "HHPO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Hide_PrimeObs" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "HRPO" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Reveal_PrimeObs" {RA 0 Dec 0 Distance 1e32 Radius 1}

# messages (obsolete)
OpenCluster "Hale_Msg1" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg2" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg3" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg4" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg5" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg6" {RA 0 Dec 0 Distance 1e32 Radius 1}
OpenCluster "Hale_Msg7" {RA 0 Dec 0 Distance 1e32 Radius 1}

