

-- functions to set elevator up/down rotation parameters

ElevatorUpDown = {}

ElevatorUpDown.T0 = 1e18
ElevatorUpDown.T1 = 0

ElevatorUpDown.Up     = math.rad( -79) -- -82.5)
ElevatorUpDown.Down   = math.rad( -7.0)

ElevatorUpDown.Th0 =   ElevatorUpDown.Down
ElevatorUpDown.Th1 =   ElevatorUpDown.Up
ElevatorUpDown.ThNow = ElevatorUpDown.Down

ElevatorUpDown.V = 0

UpElev = function (mydate)
	ElevatorUpDown.Th0 = ElevatorUpDown.ThNow
	ElevatorUpDown.Th1 = ElevatorUpDown.Up
        ElevatorUpDown.V = (ElevatorUpDown.Up - ElevatorUpDown.Down)/ (2*dT)
	ElevatorUpDown.T0 = mydate
	local sf = math.abs((ElevatorUpDown.Up-ElevatorUpDown.ThNow)/(ElevatorUpDown.Up-ElevatorUpDown.Down))
	ElevatorUpDown.T1 = mydate+2*dT*sf
end

DownElev = function (mydate)
	ElevatorUpDown.Th0 = ElevatorUpDown.ThNow
	ElevatorUpDown.Th1 = ElevatorUpDown.Down
        ElevatorUpDown.V = (ElevatorUpDown.Down - ElevatorUpDown.Up)/ (2*dT)
	ElevatorUpDown.T0 = mydate
	local sf = math.abs((ElevatorUpDown.ThNow-ElevatorUpDown.Down)/(ElevatorUpDown.Up-ElevatorUpDown.Down))
	ElevatorUpDown.T1 = mydate+2*dT*sf

end

StopElev = function (mydate)
	ElevatorUpDown.Th1 = ElevatorUpDown.ThNow
	ElevatorUpDown.Th0 = ElevatorUpDown.ThNow
	ElevatorUpDown.T0 = 1e18
	ElevatorUpDown.T1 = mydate
        ElevatorUpDown.V = mydate
end
